Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.documind.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Get API Key

GET https://api.documind.cloud/api/v1/auth/api-keys/{key_id}
Requires api_keys:read scope.

Update API Key

PUT https://api.documind.cloud/api/v1/auth/api-keys/{key_id}
Requires api_keys:write scope.

Path Parameters

ParameterTypeRequiredDescription
key_idstring (UUID)YesID of the API key

Update Body

FieldTypeRequiredDescription
namestringNoAPI key name
descriptionstringNoAPI key description
scopesstring[]NoPermission scopes
is_activebooleanNoEnable or disable the key
expires_in_daysintegerNoReset expiration relative to now

Response

{
  "id": "key-id",
  "name": "Production Key",
  "description": "Production automation",
  "prefix": "abc12345",
  "scopes": ["extractions:read", "extractions:write"],
  "is_active": true,
  "is_revoked": false,
  "project_name": "Invoices",
  "expires_at": null,
  "last_used_at": null,
  "revoked_at": null,
  "created_at": "2026-06-02T10:00:00Z",
  "updated_at": "2026-06-02T10:00:00Z"
}